/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.swing.layout;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class FillLayout implements LayoutManager
  {
    public FillLayout()
      {
      }
    
    public void addLayoutComponent (final String name, final Component component) 
      {
      }

    public void removeLayoutComponent (Component component) 
      {
      }

    public Dimension preferredLayoutSize (final Container container)
      {
        return container.getSize();
//        final Insets insets = container.getInsets();
//        final Dimension result = container.getSize();
//
//        result.width += insets.left + insets.right;
//        result.height += insets.top + insets.bottom;
//
//        return result;        
      }

    public Dimension minimumLayoutSize (final Container container)
      {
        return preferredLayoutSize(container);
      }

    public void layoutContainer (final Container container) 
      {
        final int width = container.getWidth();
        final int height = container.getHeight();

        for (int i = 0; i < container.getComponentCount(); i++) 
          {
            final Component component = container.getComponent(i);
            component.setBounds(0, 0, width, height);
          }
      }    
  }        